Brivio API reference
Fleet

Add a service / repair / fuel log entry for a vehicle. Honours Idempotency-Key. (scope: fleet:write)

POST
/fleet/vehicles/{id}/service-logs

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

Fleet vehicle id

Formatuuid

Request Body

application/json
  1. body
type?string

Default PERIODIC_SERVICE.

Value in"PERIODIC_SERVICE""ITP""REPAIR""TIRE_CHANGE""FUEL""INSURANCE""ROVINIETA""OTHER"
service_date*string
Formatdate
odometer_km?integer
Range0 <= value
description?string
Lengthlength <= 2000
provider_name?string
Lengthlength <= 255
cost_amount?number
Range0 <= value
cost_currency?string

Default RON.

Length3 <= length <= 3
fuel_liters?number
Range0 <= value
next_service_km?integer
Range0 <= value
next_service_date?string
Formatdate
document_ref?string
Lengthlength <= 120

Response Body

OK

application/json
  1. response
data*
error*null
curl -X POST "https://example.com/fleet/vehicles/497f6eca-6276-4993-bfeb-53cbbbba6f08/service-logs" \  -H "Content-Type: application/json" \  -d '{    "service_date": "2019-08-24"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "vehicle_id": "e57c411b-caf2-4a2e-b2e8-e232824b6ddf",    "type": "PERIODIC_SERVICE",    "service_date": "2019-08-24",    "odometer_km": 0,    "description": "string",    "provider_name": "string",    "cost_amount": "string",    "cost_currency": "string",    "fuel_liters": "string",    "next_service_km": 0,    "next_service_date": "2019-08-24",    "document_ref": "string",    "created_at": "2019-08-24T14:15:22Z"  },  "error": null}